#pragma once

#include <windows.h>

typedef DWORD (CALLBACK* NTQUERYSYSTEMINFORMATION)( DWORD, PVOID, DWORD, PDWORD );
extern NTQUERYSYSTEMINFORMATION ntQuerySystemInformation;

#define SystemModuleInformation 11
#define STATUS_SUCCESS  0
#define STATUS_INFO_LENGTH_MISMATCH 0xC0000004L
typedef struct _SYSTEM_MODULE_INFORMATION {
	ULONG reserved[2];
	PVOID base;
	ULONG size;
	ULONG flags;
	USHORT index;
	USHORT unknown;
	USHORT loadCount;
	USHORT moduleNameOffset;
	CHAR imageName[256];
} SYSTEM_MODULE_INFORMATION, *PSYSTEM_MODULE_INFORMATION;

bool loadNtDllFunctions();